namespace IrrlichtNetSwig
{
    public partial class quaternion
    {
        public static quaternion operator +(quaternion x, quaternion y)
        {
            return x.add(y);
        }
        public static quaternion operator *(quaternion x, quaternion y)
        {
            return x.mul(y);
        }
        public static vector3df operator *(quaternion x, vector3df y)
        {
            return x.mul(y);
        }
        public static quaternion operator *(quaternion x, float y)
        {
            return x.mul(y);
        }
    }
}